
#include <VirtualWire.h>
#include <EasyTransferVirtualWire.h>
#include <Wire.h>

//create object
EasyTransferVirtualWire ET; 

struct SEND_DATA_STRUCTURE 
{
  //put your variable definitions here for the data you want to send
  //THIS MUST BE EXACTLY THE SAME ON THE OTHER ARDUINO
  //Struct can'e be bigger then 26 bytes for VirtualWire version
  byte ID;
  long a ;
  long b ; 
  long c ;

};

//give a name to the group of data
SEND_DATA_STRUCTURE mydata;
 void setup(){
  //start the library, pass in the data details
  ET.begin(details(mydata));
  Serial.begin(9600);
  // Initialise the IO and ISR
  vw_set_ptt_inverted(true); // Required for DR3100 
  vw_setup(2000);      // Bits per sec Скорость порта
  vw_set_rx_pin(8);    //порт к которому подключен приемник 433 мГц
  vw_rx_start();       // Start the receiver PLL running
 
 
  
  
}

void loop(){
 
  //check and see if a data packet has come in. 
  if(ET.receiveData()){
    //this is how you access the variables. [name of the group].[variable name]
    //since we have data, we will blink it out. 
    if (mydata.ID == 1)
    {
       
       
     // Температуру в градусах Цельсия
   Serial.print("a=");
   Serial.println(mydata.a);   
  
  Serial.print(" b=");
  Serial.println(mydata.b);
  
  Serial.print(" c=");
  Serial.println(mydata.c);
  
  Serial.println();
  Serial.println();
  delay(1000);
  
              }

        }

}

